Package org.apache.commons.lang3.compare

## Class ObjectToStringComparator

- java.lang.Object
- - org.apache.commons.lang3.compare.ObjectToStringComparator

All Implemented Interfaces:
  `java.io.Serializable`, `java.util.Comparator<java.lang.Object>`

    public final class ObjectToStringComparator
    extends java.lang.Object
    implements java.util.Comparator<java.lang.Object>, java.io.Serializable

Compares Object's `Object.toString()` values. This class is stateless.

Since:
  3.10
See Also:
  Serialized Form

### Field Summary

Fields
`static ObjectToStringComparator` `INSTANCE` Singleton instance.

### Constructor Summary

Constructors
`ObjectToStringComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(java.lang.Object o1, java.lang.Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final ObjectToStringComparator INSTANCE

Singleton instance. This class is stateless.

### Constructor Detail

#### ObjectToStringComparator

    public ObjectToStringComparator()

### Method Detail

#### compare

    public int compare​(java.lang.Object o1,
                       java.lang.Object o2)

Specified by:
  `compare` in interface `java.util.Comparator<java.lang.Object>`